<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
    <title>MDCU University</title>

    <link rel="stylesheet" href="/dist/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.8.1/css/fontawesome.min.css">
    <script src="/dist/js/bootstrap.bundle.min.js"></script>

    
    <!--<link href="headers.css" rel="stylesheet">-->
    <link href="customstyle.css" rel="stylesheet">
  </head>
  <body>

<!-- Navigation Bar -->
<header id="header">
    <nav class="navbar navbar-expand-lg bg-body-tertiary fixed-top">
      <div class="container-fluid">
        <a class="navbar-brand" href="index.html"><img src="images/MDCUblnk.png" alt="MDCU">MDCU</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
          <ul class="navbar-nav me-auto mb-2 mb-lg-0">
            <li class="nav-item">
              <a class="nav-link active" href="index.html">Home</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="science.html">Science</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="math.html">Mathematics</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="ushist.html">US History</a>
            </li>
            <li class="nav-item dropdown align-content-end">
              <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                Quick Links
              </a>
              <ul class="dropdown-menu">
                <li><a class="dropdown-item" href="#">E-books</a></li>
                <li><a class="dropdown-item" href="#">Syllabus</a></li>
                <li><a class="dropdown-item" href="#">Contacts</a></li>
                <li><a class="dropdown-item active" href="index.html">About</a></li>
              </ul>
            </li>
          </ul>
        </div>
      </div>
   </nav>
  </header>

  <!---- Homepage banner ------>
<section id="homepage-bannersci" class="d-flex justify-content-center align-items-center">
  <img src="images/ushist.jpg" alt = "US History" class="img-fluid" style="max-height: 100%; max-width: 100%;">
</section>
<!-- End homepage banner -->

<section>
<div class="container">
  <table class="table">
    <thead>
      <tr>
        <th>Title</th>
        <th>Type</th>
        <th>Link</th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td>American History</td>
        <td>Video</td>
        <td><a href="https://youtu.be/NUmd1uvcgaM" target="_blank">US history</a></td>
      </tr>
      <tr>
        <td>References</td>
        <td>Video</td>
        <td><a href="https://www.ushistory.org/" target="_blank">American History Website</a></td>
      </tr>
      <tr>
        <td>US History Timeline</td>
        <td>Document <a href="#" class="pdf-link"> Open</a></td>
        <td class="pdf-column"></td>
      </tr>
    </tbody>
  </table>
</div>
</section>

<script>
    const pdfLinks = document.querySelectorAll(".pdf-link");
    pdfLinks.forEach(function(link) {
        link.addEventListener("click", function(event) {
          event.preventDefault();
          const pdfColumn = this.parentNode.nextElementSibling;
          const iframe = pdfColumn.querySelector("iframe");
          if (iframe) {
            iframe.remove();
            this.textContent="Open"
          } else {
            this.textContent="Close"
            const newIframe = document.createElement("iframe");
            newIframe.src = "images/american-history-timeline.pdf";
            newIframe.width = "100%";
            newIframe.height = "600px";
            pdfColumn.appendChild(newIframe);
          }
        });
      });    
  </script> 

<!--<style>
  a:visited {color: crimson;}
</style>-->    
</body>
<footer>
  <div class="text-center p-3" style="background-color: rgba(245, 239, 239, 0.2);">
    <img src="images/MDCUblnk.png" alt="MDCU" height="40px"><b>MDCU</b>
  </div>
</footer>
</html>